Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## bea.jolt.pool
Class UserInfo

    java.lang.Object
      |
      +--bea.jolt.pool.UserInfo

public class UserInfo
extends java.lang.Object

This class contains information for BEA TUXEDO user authentication. This information may be needed to create a BEA TUXEDO session. This class is used internally by `bea.jolt.pool.SessionPool` to create a session pool with specific user information.

This class exposes methods that are part of the administrative API for the BEA Jolt session pool.

In the BEA WebLogic implementation of BEA Jolt session pools, user authentication information is set via the BEA WebLogic system properties file. Users do not need to access this class directly. Refer to BEA WebLogic documentation for information about the properties file.

Author:
  Copyright (c) 1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`UserInfo()`

Method Summary
`void` | `setAppPassword(java.lang.String password)` This method is part of the session pool administrative API.
`void` | `setUserName(java.lang.String username)` This method is part of the session pool administrative API.
`void` | `setUserPassword(java.lang.String password)` This method is part of the session pool administrative API.
`void` | `setUserRole(java.lang.String userrole)` This method is part of the session pool administrative API.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserInfo

    public UserInfo()

Method Detail

### setUserName

    public void setUserName(java.lang.String username)

  This method is part of the session pool administrative API. Sets the BEA TUXEDO user name. Refer to BEA TUXEDO documentation for details of a user name.

  Parameters:
    `username` - A valid user name

### setUserPassword

    public void setUserPassword(java.lang.String password)

  This method is part of the session pool administrative API. Sets the BEA TUXEDO user password. Refer to BEA TUXEDO documentation for details of a user password.

  Parameters:
    `password` - A valid user password

### setUserRole

    public void setUserRole(java.lang.String userrole)

  This method is part of the session pool administrative API. Sets the BEA TUXEDO user role. Refer to BEA TUXEDO documentation for details of a user role.

  Parameters:
    `userrole` - A valid user role

### setAppPassword

    public void setAppPassword(java.lang.String password)

  This method is part of the session pool administrative API. Sets the BEA TUXEDO application password. Refer to BEA TUXEDO documentation for details of the application password.

  Parameters:
    `password` - A valid application password

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD